TRENDDocs

Balances of a wallet

GET
/v1/wallets/{wallet}/balances

SOL in lamports, the fee reserve the API keeps back from a transfer, and the token balances.

Path Parameters

wallet*string

A wallet address.

Response Body

OK

application/json
  1. response
solLamports*string
feeReserveLamports*string
tokens*array<>
curl -X GET 'https://api.dev.trend.fun/v1/wallets/8Kc8AJs3W9r8QJMBj7ufCbW5SumQXkTK5nL2EJp29Hfj/balances'
{  "solLamports": "2457432002120",  "feeReserveLamports": "5000000",  "tokens": [    {      "mint": "FCZtVhbpu7DN52mYYb7QGTJM3pFhA17mjL6o8Y7ymJf",      "amount": "7527423432161",      "decimals": 6,      "symbol": "MEWTWOV9",      "name": "2022 #030 Mewtwo V CGC 9 Pokemon GO - s10b - Japanese",      "logoUri": "https://api.dev.trend.fun/v1/media/2103c37f19489cd855590b51ace76725.webp",      "known": true    },    {      "mint": "KL6jN1T99BJW342BdVqLDo5G6YD9eoyQLPr1G8V1RZ2",      "amount": "14501780544866",      "decimals": 6,      "symbol": "FURBALL",      "name": "Snappy Furball",      "logoUri": "https://api.dev.trend.fun/v1/media/9e8384056ed1df3456af12c24e1cea76.png",      "known": true    }  ]}